Help Scout and Apache Log4j Security Vulnerabilities

Help Scout is aware of and currently investigating the impact of Apache Log4j vulnerabilities on our service. 

Our engineering team have identified and are patching or hardening all instances of the impacted library to ensure we are protected. We are continuing to probe for any additional vulnerable services and confirm that this vulnerability was not exploited on our infrastructure. 

We are also engaging with our subprocessors to understand how the services that we rely on may have been impacted. 

This page will be updated when we have more news to share. 

If you would like to be notified when that happens, click here to reach out to our support team

Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.